<?php

function upgrade_module_1_6_4($module)
{
    return update_1_6_4_configuration($module);
}

function update_1_6_4_configuration($module)
{
    $selectedCountry = Configuration::get('ESTO_COUNTRY');
    if (empty($selectedCountry)) {
        $selectedCountry = $module::COUNTRY_ESTONIA;
    }

    $selectedCountryIso = $module::API_COUNTRIES[$selectedCountry];

    $result = true;

    $esto_user = Configuration::get('ESTO_SHOP_ID');
    if (!empty($esto_user)) {
        $result &= checkAndAddConfigurationIfNeeded('ESTO_SHOP_ID_'.$selectedCountryIso, $esto_user);
    }

    $esto_pass = Configuration::get('ESTO_SECRET_KEY');
    if (!empty($esto_pass)) {
        $result &= checkAndAddConfigurationIfNeeded('ESTO_SECRET_KEY_'.$selectedCountryIso, $esto_pass);
    }

    return $result;
}

function checkAndAddConfigurationIfNeeded($key, $default = null)
{
    if (Configuration::hasKey($key)) {
        return true;
    }

    $result = Configuration::updateValue($key, $default);
    return $result;
}
